Bug 1315249 - hammer --noncomposite ignores the value passed to it and always removed composite views
hammer --noncomposite ignores the value passed to it and always removed compo...
Status: ON_DEV
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
6.1.7
Unspecified Unspecified
unspecified Severity medium (vote)
: GA
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks: 1317008
  Show dependency treegraph
 
Reported: 2016-03-07 06:15 EST by Stuart Auchterlonie
Modified: 2017-08-15 16:15 EDT (History)
5 users (show)

See Also:
Fixed In Version: tfm-rubygem-katello-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 19371 None None None 2017-04-25 06:16 EDT

  None (edit)
Description Stuart Auchterlonie 2016-03-07 06:15:23 EST
Description of problem:

If you include --noncomposite on the hammer command line when listing
content views, the composite views get removed, regardless of what
value you passed to --noncomposite


Version-Release number of selected component (if applicable):

Satellite 6.1.7

How reproducible:

100%

Steps to Reproduce:
1. hammer --username admin --password redhat content-view list --organization-id=1
2. hammer --username admin --password redhat content-view list --organization-id=1 --noncomposite 1
3. hammer --username admin --password redhat content-view list --organization-id=1 --noncomposite 0

Actual results:

at step 3, no composite views are included

Expected results:

Composite views should be included when --noncomposite
is set to false, no, or 0

Composite views should not be included when --noncomposite
is set to true, yes or 1

Additional info:
Comment 5 Bryan Kearney 2016-07-26 11:25:24 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 6 Bryan Kearney 2016-07-26 11:33:29 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 8 pm-sat@redhat.com 2017-05-02 20:11:44 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/19371 has been resolved.

Note You need to log in before you can comment on or make changes to this bug.